#categoryMenuContentContainer {
	z-index: 9;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 2rem;
}

#categoryMenuButtonsContainer {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	row-gap: 20px;
	column-gap: 20px;
	height: 60%;
	width: 70%;
	margin: 0 auto;
}

#categorySelectionMenuNav {
	text-align: right;
}

#categoryMenuBackButton {
	position: relative;
	border-style: hidden;
	width: 200px;
	height: 100px;
}

#categoryMenuBackButton::after {
	content: "";
	width: 0;
	height: 2px;
	background-color: #fff;
	transform-origin: left;
	transition: width 0.25s;
}

#categoryMenuBackButton::after:hover {
	content: "";
	width: 200px;
	height: 2px;
	background-color: #fff;
}

#categoryMenuBackButton {
	position: relative;
	color: #fff;
}

#categoryMenuBackButton::after {
	content: "";
	position: absolute;
	width: 80%;
	transform: scaleX(0);
	height: 2px;
	bottom: 20px;
	left: 20px;
	background-color: #fff;
	transform-origin: left;
	transition: transform 0.1s linear;
}

#categoryMenuBackButton:hover::after {
	transform: scaleX(1);
	transform-origin: left;
}
